List International Countries
curl --request GET \
--url https://api.baselayer.com/international/countries \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/international/countries"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/international/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.baselayer.com/international/countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.baselayer.com/international/countries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.baselayer.com/international/countries")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.baselayer.com/international/countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"iso2_country_code": "GB",
"name": "United Kingdom",
"supports_lite_profile": true,
"supports_enhanced_profile": true
}
]International KYB
List International Countries
List the jurisdictions an international search can target.
One entry per country POST /international/searches accepts as
iso2_country_code, with whether a lite profile and the ENHANCED
add-on are offered there. The list is fixed for an API release and
may be cached for an hour.
GET
/
international
/
countries
List International Countries
curl --request GET \
--url https://api.baselayer.com/international/countries \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.baselayer.com/international/countries"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.baselayer.com/international/countries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.baselayer.com/international/countries",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.baselayer.com/international/countries"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.baselayer.com/international/countries")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.baselayer.com/international/countries")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"iso2_country_code": "GB",
"name": "United Kingdom",
"supports_lite_profile": true,
"supports_enhanced_profile": true
}
]Authorizations
Response
200 - application/json
Successful Response
The ISO 3166-1 alpha-2 code to send as iso2_country_code on POST /international/searches.
Available options:
AU, AT, BH, BE, BA, BR, BN, KH, CA, CN, CO, HR, CW, CY, CZ, DK, DO, EE, FI, FR, GF, PF, GE, DE, GI, GR, GP, GG, HK, IS, IE, IM, IL, IT, JP, LV, LI, LT, LU, MY, MH, MQ, YT, ME, NL, NC, NZ, NO, OM, PK, PA, PE, PL, PT, QA, RE, RO, RU, BL, PM, WS, SG, SK, SI, SB, ES, SE, CH, TW, TT, UG, GB, UY, VI, VU, WF Example:
"GB"
The jurisdiction's display name.
Example:
"United Kingdom"
Whether a search without the ENHANCED option returns a profile in this jurisdiction.
Example:
true
Whether the ENHANCED option (officers, shareholders and beneficial owners) is available in this jurisdiction.
Example:
true